#ifndef MYADC_H
#define MYADC_H

#include "stm32f10x.h"
#include "Driver_GPIO.h"

typedef struct
{
    ADC_TypeDef * ADC;
    char Channel;
} MyADC_Struct_TypeDef;


void MyADC_Base_Init(MyADC_Struct_TypeDef * ADC);
void MyADC_Base_Start(ADC_TypeDef * ADC);
void MyADC_Base_Stop(ADC_TypeDef * ADC);
void MyADC_Base_Interuption(ADC_TypeDef * ADC);
int MyADC_Base_Result (MyADC_Struct_TypeDef * ADC);
void MyADC_Init_Periph (void (*fct)(void));

#endif
