#ifndef MYUART_H
#define MYUART_H

#include "stm32f10x.h"

typedef struct {
	USART_TypeDef * UART;
	unsigned int baudrate;
}MyUART_Struct_Typedef;

void UART_send(char data);
char UART_read(char data, MyUART_Struct_Typedef * UART);
void UART_init(MyUART_Struct_Typedef * UART);
void USART1_IRQHandler(void);
void USART2_IRQHandler(void);
void USART3_IRQHandler(void);
void UART_InitGPIO(MyUART_Struct_Typedef * UART);
void UART_interruption (MyUART_Struct_Typedef * UART);



#endif
